isis starting
Status: Rejected

Priority: High

Assignee: Stuart Sides

Category: Installation

Software Version: 3.4.12 (FY16 R2 2016-03-17 Mar)
Description

Hi,

I've installed Isis3 on Ubuntu 12.04 (on virtualbox in Windows10) following the Guide here:
https://isis.astrogeology.usgs.gov/documents/InstallGuide/index.html

| followed the installation manual downloading the ISIS Binaries and the base data, and | succesfully installed Isis3.

But now | have some issues to start the program.
| try with:

ISISROOT=/home/cost/Isis/isis
export ISISROOT
. I$1SISROOQOT/scripts/isis3Startup.sh

but it doesn't work.
| hope my explanation has been clear.
In shot: Isis3 is installed but it doesn't start ... why?

Thanks

History

#1 - 2016-11-18 05:04 PM - Lynn Weller

ISIS is made up of applications. You need execute to one from the command line before anything will happen.
For instance, type lowpass on your command line:

lowpass

This will allow you to interactively use the program lowpass via a GUL.
You could also run the program from the command line by passing it arguments.
Type lowpass -help on the command line:

lowpass -help

A list of the arguments available to the program will be displayed.

You might want to spend some time looking into the ISIS tutorials and workshops to learn a little more:
https://isis.astrogeology.usgs.gov/fixit/projects/isis/wiki/ISIS_Online_Workshops

You can find a list of ISIS programs here: https://isis.

Please let us know if you are having trouble bringing up a GUI.
https://isis.astrogeology.usgs.gov/documents/InstallGuide/index.html
https://isis.astrogeology.usgs.gov/fixit/projects/isis/wiki/ISIS_Online_Workshops
https://isis.astrogeology.usgs.gov/Application/index.html

#2 - 2016-11-18 06:35 PM - Tammy Becker
- Tracker changed from Bug to Question

- Status changed from New to Acknowledged

#3 - 2016-11-20 04:49 PM - Costanza Costanza

Thank you.

I've already tried to run one application (like gqview) but nothing happens. | typed qview but | got " No such file or directory ", when the file exists. I've
tried with lowpass and other applications but it doesn't work.
| don't know why it doesn't start, because it's all installed.

It could be a problem of ubuntu 12.04 that it doesn't execute the script isis3Startup.sh? Perhaps | forget to install other programs that ISIS needs (like
for instance java-installer) ?
Thanks

#4 - 2016-12-01 11:29 AM - Stuart Sides

Costanza,
Since you are referring to isis3Startup.sh, I'll direct any questions/instructions toward the Bash shell.

Please open a terminal window and run the following commands:

ISISROOT=FULL_PATH_TO_DIRECTORY_WHERE_YOU_INSTALLED_ISIS/isis
export ISISROOT

source $ISISROOT/scripts/isis3Startup.sh

lowpass

If lowpass does not launch then please post the output from these commands:

echo $ISISROOT
Is -1 $ISISROOT/bin/lowpass

#5 - 2016-12-01 11:30 AM - Stuart Sides
- Status changed from Acknowledged to In Progress

- Assignee set to Stuart Sides

#6 - 2016-12-14 08:56 AM - Stuart Sides

- Status changed from In Progress to Feedback

#7 - 2016-12-23 08:31 AM - Stuart Sides
- Status changed from Feedback to Rejected
Issue rejected. See: Rejected

2016-12-26 3/3


https://isis.astrogeology.usgs.gov/fixit/projects/isis/wiki/ISIS_Issue_Statuses#Rejected
http://www.tcpdf.org

